
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python基本语法_控制流语句_if/while/for / iVAN</title>

    <meta name="description" content="Python基本语法_控制流语句_if/while/for 目录 目录 前言 软件环境 If 语句 While循环 break continue for 循环 遍历String 遍历Tuple 遍历List 遍历Dictionary 最后 前言 控制流语句用于改变程序语句流(默认为自上而下顺序执行)的执行顺序,其中Python的基本控制流语句,主要有以下3种: 1. if 语句:根据条件返回的结果执行相应的代码块 2. for 循环:通过遍历容器对象的索引来实现循环 3. while 循环:根据条件返回是否为True来判断是否执行循环体 在本篇中主要会介">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python基本语法_控制流语句_if/while/for</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>目录</h1>
<ul>
<li>目录</li>
<li>前言</li>
<li>软件环境</li>
<li>If 语句</li>
<li>While循环
<ul>
<li>break</li>
<li>continue</li>
</ul>
</li>
<li>for 循环
<ul>
<li>遍历String</li>
<li>遍历Tuple</li>
<li>遍历List</li>
<li>遍历Dictionary</li>
</ul>
</li>
<li>最后</li>
</ul>
<h1>前言</h1>
<p>控制流语句用于改变程序语句流(默认为自上而下顺序执行)的执行顺序，其中Python的基本控制流语句，主要有以下3种： <br />
1. if 语句：根据条件返回的结果执行相应的代码块 <br />
2. for 循环：通过遍历容器对象的索引来实现循环 <br />
3. while 循环：根据条件返回是否为True来判断是否执行循环体 <br />
在本篇中主要会介绍Python中控制流语句，以及一些在应用上的经验。</p>
<h1>软件环境</h1>
<ul>
<li>系统 
<ul>
<li>Ubuntukylin 14.04</li>
</ul>
</li>
<li>软件 
<ul>
<li>Python 2.7.6</li>
<li>IPython 4.0.0</li>
</ul>
</li>
</ul>
<h1>If 语句</h1>
<p>语法格式：</p>
<pre><code>if expression1:
    代码块  #expression1 == True
elif expression2:
    代码块  #expression1 == False and expression2 == True
else:
    代码块  #expression2 == False</code></pre>
<p>If语句可以根据expression的bool值来执行相应的代码组。需要注意的是，在Python中并没有switch..case语句来实现定值判断。但是可以使用elif语句和‘ == ’来实现类似的效果。 <br /><strong>代码组</strong>：以关键字开始的缩进相同的一组代码组成的代码块。其中首行句末的 ： 号标识代码块的开始。即是在Python语法中，以关键字为首的语句行中必须以 ： 结尾。 <br />
一个域值判断的小例子：</p>
<pre><code>In [21]: %%file ifTest.py
#!/usr/bin/env python
#coding=utf8
number1 = 10
number2 = int(raw_input("Ple enter a number:"))
if number2 &lt; number1 :
    print "&lt;"
elif number2 &gt; number1 :
    print "&gt;"
else :
    print "="
print "Done"</code></pre>
<p>Output :</p>
<pre><code>In [30]: run ifTest.py
Ple enter a number:20
&gt;
Done

In [31]: run ifTest.py
Ple enter a number:1
&lt;
Done

In [32]: run ifTest.py
Ple enter a number:10
=
Done</code></pre>
<p><strong>注意</strong>：在if语句中的expression可以充分利用Python的运算、比较、逻辑等运算符来满足判断条件的需求。if语句根本上只在乎表达式最终返回的结果是 True or False 。同时，在Python的真值表中0表示False，非0表示True。请参考Pyethon运算符详解：<a href="http://blog.csdn.net/jmilk/article/details/48666475" rel="external nofollow noreferrer">http://blog.csdn.net/jmilk/article/details/48666475</a></p>
<h1>While循环</h1>
<p>语法格式：</p>
<pre><code>while expression:
    代码块   #expression == True
else:
    代码块   #expression == False</code></pre>
<p>While语句需要根据expression的返回值来判断是否继续执行循环。值得注意的是，为了避免永循环的出现，一般需要写入控制循环次数或终止循环的条件。即是在循环过程中需要有expression == False的时候，而且当循环条件为False时，则执行else代码块。当然else语句是可选的，else代码块一般用于实现循环结束后的清理工作。同时While循环也可以使用下面的附加语句来实现循环中断。 <br /><strong>NOTE</strong>: else 关键字存在时也不一定必须执行，当 while 循环中有 break 时， else 不执行。</p>
<h2>break</h2>
<p><strong>break</strong>语句会令语句流跳到循环体外，以此来提前终止循环，接着执行循环下面的语句。 <br /><strong>Note</strong>：<strong>在嵌套循环中，break语句只会跳出本层循环，而不会跳出外层循环</strong> <br /><strong>注意</strong>：通常结合if语句来实现：当满足条件时，则退出循环。下面是一个小例子：</p>
<pre><code>In [12]: cat breakTest.py
#!/usr/bin/env python
#coding=utf8
i = 0
while True:
    print "%d" % i ,
    i += 1
    if i &gt; 10:break
print "Done"

In [13]: run breakTest.py
0 1 2 3 4 5 6 7 8 9 10 Done
</code></pre>
<h2>continue</h2>
<p>相对的，有时并不希望终止整个循环操作，而是希望提前结束本次循环，并接着执行下一次循环，这时可以使用<strong>continue</strong>语句。continue语句会跳过循环体中下面尚未执行的语句，转到循环体结束点之前，接着执行expression，然后再进行下一次是否执行循环的判断。这样可以达到提高程序执行效率的效果。</p>
<pre><code>In [10]: cat continueTest.py
#!/usr/bin/env python
#coding=utf8
import sys
i = 101
count = 0
while (i &gt; 0):
    i -= 1
    if i%5:
        continue
    print i,
    count += 1
print "Done"
print "Execution times:%d" % count        

In [11]: run continueTest.py
100 95 90 85 80 75 70 65 60 55 50 45 40 35 30 25 20 15 10 5 0 Done
Execution times:21  </code></pre>
<p>上面的小例子会将1-100之间能被5整除的数字打印出来。</p>
<h1>for 循环</h1>
<p>语法格式：</p>
<pre><code>for iterationVariable in iterationObject：
    代码块 #When the iterationObject in intertionVariable
else：
    代码块 #when the loop completer</code></pre>
<p>Python的For循环完全区别于Java或C/C++等编程语言，其通过遍历一个容器中所有的索引来决定循环的次数和操作。 <br />
其中容器可以是List、Tuple、Dictionary、String等，本质上是利用for循环的迭代器iterator，来逐个遍历容器中的项目，并且逐一赋值给迭代变量，然后执行代码块，直到遍历完成循环结束。</p>
<h2>遍历String：</h2>
<pre><code>In [17]: %%file forStr.py
   ....: #!/usr/bin/env python
   ....: #coding=utf8
   ....: name = 'JMilk'
   ....: for n in name:
   ....:     print n,
   ....: print "Done"
   ....:
Writing forStr.py

In [18]: run forStr.py
J M i l k Done</code></pre>
<h2>遍历Tuple</h2>
<pre><code>In [19]: %%file forTuple.py
   ....: #!/usr/bin/env python
   ....: #coding=utf8
   ....: number = (1,2,3,4,5)
   ....: for n in number:
   ....:     print n,
   ....: print "Done"
   ....:
Writing forTuple.py

In [20]: run forTuple.py
1 2 3 4 5 Done</code></pre>
<h2>遍历List</h2>
<pre><code>In [21]: %%file forList.py
   ....: #!/usr/bin/env python
   ....: #coding=utf8
   ....: li = range(1,6)
   ....: for l in li:
   ....:     print l,
   ....: print "Done"
   ....:
Writing forList.py

In [22]: run forList.py
1 2 3 4 5 Done</code></pre>
<h2>遍历Dictionary</h2>
<pre><code>In [61]: cat forDic.py
#!/usr/bin/env python
#coding=utf8
dic = {'name':'Jmilk','age':'23'}
#Example1
print dic.items()
for key,value in dic.items():
    print "Example1:The key is %s and the value is %s" % (key,value)
#Example2
for key in dic:
    print "Example2:The key is %s and the value is %s" % (key,dic[key])

print "Done"

In [62]: run forDic.py
[('age', '23'), ('name', 'Jmilk')]
Example1:The key is age and the value is 23
Example1:The key is name and the value is Jmilk
Example2:The key is age and the value is 23
Example2:The key is name and the value is Jmilk
Done</code></pre>
<p>上面的例子使用了两种遍历字典的方法。 <br />
Example1：先调用items( )将字典转化为List和Tuple的复合数据类型，再遍历每一个List中的Tuple元素。 <br />
Example2：遍历Dictionary的key，调用dic[key]获取key映射的value。</p>
<h1>最后</h1>
<p>Python控制流语句具有非常强大的功能，例如：利用for循环来获取文件内容，实现Ddictionary到String的转换等等。尤其是for循环和List解析的特性会碰撞出非常有趣的火花。在往后的篇章里我们一起去记录。</p>
<p>Jmilk</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 08:23:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python基本语法_控制流语句_if/while/for的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My37Wdz.html" rel="bookmark">Python语法基础&lowbar;控制流语句&lowbar;if、while、for</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 控制流语句用于改变程序语句流(默认为自上而下顺序执行)的执行顺序,其中Python的基本控制流语句,主要有以下3种:  1. if 语句:根据条件返回的结果执行相应的代码块  2. for 循环:通过遍历容器对象的索引来实现循环  3. while 循环:根据条件返回是否为True来判断是否执行循环体  在本篇中主要会介绍Python中控制流语句,以及一些在应用上的经验. 软件环境 系统  Ubuntukylin 14.04 软件  Python 2.7.6 IPython 4.0.0 I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7X4jz.html" rel="bookmark">Python基本语法&lowbar;输入&sol;输出语句详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 前言 输入 raw_input input raw_input 和 input 的区别 输出 print print 基本格式化输出 print复杂格式化输出 flags标志位 width宽度 precision精度 dictionaryName字典 print自动换行底层实现 最后 前言 程序最基本需要的两个要素,一个是数据,另外一个便是逻辑.而控制语句在程序中扮演的角色便是实现程序的逻辑,即数据的导向和对数据的操作.当然,这并不代表,程序中的数据的行为只能通过控制语句来实.但在P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgwKK3M.html" rel="bookmark">Python基本语法&lowbar;异常处理详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 异常 异常类型 异常处理 触发异常raise 传递异常 assert语句触发异常 捕获异常tryexceptelse 捕捉多个异常 tryfinally语句 自定义异常 withas触发异常自动关闭资源 as获取异常信息 异常参数 traceback追踪异常 sysexc_info获取异常信息 最后 异常 异常即非正常状态,在Python中使用异常对象来表示异常.若程序在编译或运行过程中发生错误,程序的执行过程就会发生改变,抛出异常对象,程序流进入异常处理.如果异常对象没有被处理或捕			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvr3rVM.html" rel="bookmark">Python基本语法&lowbar;函数属性 &amp;amp&semi;amp&semi; 参数类型 &amp;amp&semi;amp&semi; 偏函数的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 前言 软件环境 Python Module的程序入口 函数的属性 Python函数的创建 函数的参数 必备参数 缺省参数 命名参数 不定长参数 匿名参数 偏函数的应用 前言 Python除了有丰富的标准库之外,还可以自己定义满足自身需求的类和函数.本篇主要介绍如何创建Python自定义函数. 软件环境 系统 UbuntuKylin 14.04 软件 Python 2.7.4 IPython 4.0.0 Python Module的程序入口 因为一个Python的程序文件同时也是一个模			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLKmDM.html" rel="bookmark">Python基本语法&lowbar;基本数据类型&lowbar;数值型详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 软件环境 Python变量调用的过程 数值型 删除一个数值类型对象 布尔型 Bool 标准整型 Int 长整型 双精度浮点型 Float 复数 数值类型对象的内建功能函数 absNumber 求Number的绝对值 coercex y 将x y转换为同一种数值类型 divmodx y 除法-取余运算的结合 pow 指数运算或将结果取余 round 浮点型的四舍五入运算和求精度 仅用于整型对象的函数 数值型相关模块推荐 软件环境 系统 CentOS 7 软件 Python 2.7.5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWkgQb.html" rel="bookmark">Python基本语法&lowbar;变量作用域LEGB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 软件系统 变量的作用域 高级语言对数据类型的使用过程 作用域的产生 作用域的类型 Llocal局部作用域 Eenclosing嵌套作用域 Gglobal全局作用域 Bbuilt-in内置作用域 变量名解析LEGB法则 实例说明 对变量的引用 对变量的修改 global关键字 nonlocal关键字 命名空间和作用域的区别 软件系统 系统 Ubuntu 14.04 软件 Python 2.7.3 IPython 4.0.0 变量的作用域 在Python程序中创建.改变.查找变量名时,都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYlkOp.html" rel="bookmark">Python基本语法&lowbar;文件操作&lowbar;读写函数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 软件环境 file文件对象 open文件操作 读文件 read读取所有文件内容 readline获取一行内容 readlines读取所有文件内容 readreadlinereadlines的区别 写文件 write writelines写入多行内容 write和writelines的区别 将标准输出重定向写入到指定文件 文件指针 tell获取当前文件指针位置 truncate截断文件 seek转移文件指针 最后 软件环境 系统 UbuntuKylin 14.01 软件 Python			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NY25p.html" rel="bookmark">Python基本语法&lowbar;运算符详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 前言 软件环境 身份运算符 算术运算符 比较运算符 位移运算符 自变运算符 位运算符 逻辑运算符 成员关系运算符 Python真值表 最后 前言 在前面的博文介绍了Python的数据结构之后,接下来结合Python操作符来对Python程序中的数据进行处理.操作符/运算符的使用,可简洁地表示内建类型的对象处理.主要是对程序中的数据进行逻辑操作.算术操作.比较操作等动作行为,本质是将在程序中会非常常用的程序操作封装成成类或函数后,再以字符的形式调用,使执行程序语言更加简洁和符合国际化.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQaamQb.html" rel="bookmark">Python基本语法&lowbar;函数&lowbar;返回值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 前言 函数的返回值 在函数中Return和Print的区别 函数中的文档 前言 函数的返回值是函数重要的组成部分.函数的根本在于实现程序的部分功能,所以很多时候我们需要将函数执行后的结果返回给程序再由程序作出进一步的操作.可以说是函数的返回值令函数与函数之间,函数与主程序之间更加紧密的联系起来. 函数的返回值 在Python的函数中都有一个返回值,默认为None.也可以使用return value语句来定义一个且只能定义一个可为任意类型的返回值.但是我们能够返回一个序列类型的对象,来			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJkW8b.html" rel="bookmark" class="title">JAVA编程思想第四版&mdash;第三章&mdash;习题与答案</a>
					<div>
						 (1) 写一个程序,打印出1 到100 间的整数. public class test{  public static void main(String[] args){      int i;   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk25LOM.html" rel="bookmark" class="title">工具栏中的主菜单实现自定义快捷键的方法</a>
					<div>
						如果做过&quot;把主菜单放到工具栏里&quot;的兄弟们都会发现一个问题:那就是系统会自动给菜单选项加上热键(如果你的菜单选项是英文,那么会在第一个字母下加横线,如果你的菜单选项是中文,那么会在菜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R6eap.html" rel="bookmark" class="title">浮点数的格式化</a>
					<div>
						在许多应用程序领域中,都需要控制小数点后的小数位,但是浮点数对此不能提供直接的支持.怎样对程序中的浮点数据进行&quot;整齐&quot;地格式化呢?在此我们有一个迂回的方法,先把它们转换为字符串,格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxmKKb.html" rel="bookmark" class="title">在dll中寻找Visual Studio中的图标</a>
					<div>
						在以前的一篇文章:WF4.0工作流设计器,在WPF中宿主了一个工作流设计器 ,它的工具栏如下图: 你会发现工具栏上的活动统统没有图标,而在Visual Studio中WF设计器工具 栏如下图:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7x45b.html" rel="bookmark" class="title">Java对象序列化使用基础</a>
					<div>
						所谓对象序列化就是将对象的状态转换成字节流,以后可以通过这些值再生成相同状态的对象.这个过程也可以通过网络实现,可以先在Windows机器上创建一个对象,对其序列化,然后通过网络发给一台Unix机器, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kB7Zz.html" rel="bookmark" class="title">tplink路由器的中继器怎么设置</a>
					<div>
						  tplink路由器的中继器设置方法 1:基站设置:TL-WR914N 说明:网上许多案例都要求作为主路由器(基站)的WSD状态要设为&quot;开启&quot;,而我们在实际操作中发现主路由器(基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Py2PM.html" rel="bookmark" class="title">jQuery实现表头固定效果的实例代码</a>
					<div>
						 一.新建一js文件jQuery_FixedTableHead.js 内容如下:   代码如下: jQuery.fn.CloneTableHeader = function(tableId, tabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jrRlb.html" rel="bookmark" class="title">Photoshop打造写真人物照片温暖橙紫色教程</a>
					<div>
						冷暖色搭配调色是非常常见的,常用的有蓝黄色.橙紫色等.调色过程也比较简单,可以按需要先调出冷色或暖色底色,然后在高光部分渲染一些相应的补色即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o0mqb.html" rel="bookmark" class="title">U盘使用时弹出错误提示0x80070570的解决办法</a>
					<div>
						  1.将鼠标移至U盘图标上,然后右键单击,在弹出的选项列表中点击&quot;属性&quot;选项. 2.在弹出的U盘属性窗口中,选择&quot;工具&quot;标签,再点击&quot;开始检查&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3xlOM.html" rel="bookmark" class="title">114啦浏览器携全新功能而来</a>
					<div>
						由广东雨林木风计算机科技有限公司推出的114啦浏览器为完善浏览器的高速运行,在年初推出了新的版本后又在最近推出了5.0的最新版本浏览器.而新版114啦浏览器在之前版本拥有的上网快.体积小.安全.绿色. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr6V9M.html" rel="bookmark" class="title">Vertica&colon; 基于DBMS架构的列存储数据仓库</a>
					<div>
						介绍 Vertica(属于HP公司),是一个基于DBMS架构的数据库系统,适合读密集的分析型数据库应用,比如数据仓库,白皮书中全名称为VerticaAnalytic Database.从命名中也可以看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6RvPM.html" rel="bookmark" class="title">c&num; 程序 时间-关于程序中时间处理的问题</a>
					<div>
						问题描述 关于程序中时间处理的问题 请教大神们在做软件的时候,如何避免用户修改系统时间产生的程序崩溃问题-用个线程一直刷时间?貌似不科学-- 解决方案 不知道你做的是C/S类的项目开发 还是B/S的项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlYyxb.html" rel="bookmark" class="title">linux tmpwatch &sol;tmp文件被自动删除</a>
					<div>
						最近发现放在/tmp下的目录ora_tmp总是莫名奇妙的被删除掉,通过crontab发现并没有定期执行的任务... /var/log/  除了有message系统日志,还有cron 计划任务的日志 查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrxmQM.html" rel="bookmark" class="title">设置自动清理binlog日志和手动删除的方法</a>
					<div>
						MySQL主从复制(replication)采用 RBR 模式后,binlog的格式为&quot;ROW&quot;,能解决很多原先出现的主键重复问题.在一个繁忙的master db server上, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPDQvp.html" rel="bookmark" class="title">坐标-最近有需求实现一个类似地图的应用，点击地图上某个点，能显示相应的信息，有放大缩小的功能</a>
					<div>
						问题描述 最近有需求实现一个类似地图的应用,点击地图上某个点,能显示相应的信息,有放大缩小的功能 5C 背景不是地图,是自己的图片.不使用百度和谷歌地图的API.这种功能该如何实现呢?OpenLaye ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx6vnb.html" rel="bookmark" class="title">FileZilla server  windows 2003系统下适用的版本</a>
					<div>
						最新版的FileZilla server 在windows 2003系统下已经不能用了, http://pan.baidu.com/s/1bn1YcnP FileZilla_Server-0_9_43 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm9YWb.html" rel="bookmark" class="title">Spring &commat;Transactional使用错误</a>
					<div>
						问题描述 这两天在学习Spring申明式事务管理时,使用annotation时,老是提示错误.跟上配置文件:&lt;beanid=&quot;sessionFactory&quot;class=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94d7Xb.html" rel="bookmark" class="title">深度解剖ERP系统的实施</a>
					<div>
						现一企业为了提高应收帐款的回收率,提高资金的安全性,经过高层领导的一致决定,准备对一些平时信用不好的客户,付款条件执行预收账款政策.根据客户的不同,按三个级别进行控制,一是出货前必须付清款项,也就是说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKwKwb.html" rel="bookmark" class="title">easyui datagrid  分组行统计</a>
					<div>
						问题描述 easyui datagrid 分组行统计 类似于图片上这样格式的datagrid,哪位大神有demo,给小弟分享一下. 解决方案 easyui datagrid 添加统计行 解决方案二:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQn6Yp.html" rel="bookmark" class="title">如何让搜索引擎快速收录你的Discuz论坛</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 网络资源之家交流论坛(ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JoxJz.html" rel="bookmark" class="title">微博时代下优秀站长应具备的八大能力</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 这是一个微博深入到人们生活角角落落的时代,这是一个互联网深刻改变着人们生活习惯的时代,这是一个技术和理念变革速度飞快的时代.网络改变着人们的生活.理念和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBVa7z.html" rel="bookmark" class="title">盘点那些评分最高的项目管理工具，不服来战！</a>
					<div>
						作为一名开发者,总会接触到项目,而一个好的项目管理工具能让项目管理变得更简单,达到事半功倍的效果.下面是评分最高且收藏量超过 100 的几款项目管理工具,来看看你用过的工具多少分: 1.项目管理和缺陷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YQe3z.html" rel="bookmark" class="title">医学专家否认发现可引起手足口病的新病原体</a>
					<div>
						最新跟进 本报今日上午消息 (羊城晚报记者陈辉报道) 如果仍是EV71病毒感染就不能说是疾病原谱改变,广州两位手足口病医学专业人士今日上午接受记者采访时表示,并解释EV71病毒除引起手足口病外,还可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqarDp.html" rel="bookmark" class="title">WOW玩家流失源于鬼蟹陷入大数据假象</a>
					<div>
						现在玩&lt;魔兽世界&gt;的人已经变得越来越少,这并不是笔者的主观臆断.根据暴雪2013年第一季度的财报结果显示,尽管依然保有830万付费玩家,居全球首位,但是和上一季相比,已经一下子锐减了130 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlvYZp.html" rel="bookmark" class="title">JavaScript中的字符串操作详解&lowbar;javascript技巧</a>
					<div>
						一.概述    字符串在JavaScript中几乎无处不在,在你处理用户的输入数据的时候,在读取或设置DOM对象的属性时,在操作cookie时,当然还有更 多....JavaScript的核心部分提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2AdOz.html" rel="bookmark" class="title">oracle中数据库恢复历史再次刷新到Oracle 7&period;3&period;2版本&mdash;redo异常恢复</a>
					<div>
						有网友在QQ上找我,说Oracle 7.3的数据库,因为redo异常咨询我是否可以恢复     检查数据库得到以下信息  代码如下 复制代码 SVRMGR&gt; select * from v$ve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1d0Qb.html" rel="bookmark" class="title">从零开始学习jQuery &lpar;八&rpar; 插播&colon;jQuery实施方案&lowbar;jquery</a>
					<div>
						一.摘要 本系列文章将带您进入jQuery的精彩世界, 其中有很多作者具体的使用经验和解决方案,  即使你会使用jQuery也能在阅读中发现些许秘籍. 本篇文章属于临时插播,  用于介绍我在本公司的j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YqdAb.html" rel="bookmark" class="title">世纪水元： 借水利物联网大空间顺利挂牌</a>
					<div>
						记者 熊小川 武汉世纪水元科技股份有限公司位于武昌区姚家岭路景天楼内,成立于2006年6月,是一家以水利行业自动化及信息化产品科研.开发.生产.销售.工程施工和技术服务为主的高新技术企业, 公司创立之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4wZkb.html" rel="bookmark" class="title">android开发-关于Android Debug的小问题</a>
					<div>
						问题描述 关于Android Debug的小问题 我发现进入这个方法的时候,跳转到源码时,所在的位置不对,请问怎么办开发-关于Android Debug的小问题-android开发遇到问题&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWnjwp.html" rel="bookmark" class="title">未来&comma;三大运营商或仍将处在艰难的&OpenCurlyDoubleQuote;阵痛期&rdquo;</a>
					<div>
						三大运营商2014年度财报全部出炉,与此前市场预期一致的是,三大运营商盈利能力出现明显下降,特别是中移动,净利润连续6个季度下滑,2014年净利润更是创下16年来最大跌幅.对此,业内普遍认为,随着电信 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
